- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
Resource and Permission Management
- /
- Batch Delete Resources
¶ Batch delete resources
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Delete resources in batches by resource unique identifier and permission group
¶ Method name
ManagementClient.delete_resources_batch
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| namespace | string | No | - | The code of the permission group (permission space). Do not pass it to get the default permission group. | default |
| codeList | string[] | No | - | Resource Code List Array length limit: 50. | ["code1","code2"] |
| ids | string[] | No | - | Resource ID list Array length limit: 50. | ["6250f12d5dxxxx9bcfcf784b","6250f12d5dxxxx9bcfcf784b"] |
¶ Request Response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsSuccessDto | Whether the operation is successful |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}
¶ Data Structure
¶ IsSuccessDto
| Name | Type | Is it required | Description | Example value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |
